Skip to content

knowledge.list

Every document.

Reference

GET/api/v1/knowledge-base/documents

Auth
API key in X-API-Key
Content
none
Returns
200 · DocumentListResponseSchema

List all documents for the user's organization. Access Control: * Users can only see documents from their organization.

Arguments

ArgumentInTypeRequiredDescription
statusquerystringoptionalFilter by processing status
scopequerystringoptionallibrary | org | channel | agent
folder_idqueryintegeroptional
workflow_idqueryintegeroptional
limitqueryintegerdefault 100
offsetqueryintegerdefault 0
file_folder_idqueryintegeroptionalOnly the files in this Files-page folder
top_levelquerybooleandefault falseOnly the files in no Files-page folder

Example request

curl -X GET "https://api.decibyl.ai/api/v1/knowledge-base/documents" \
  -H "X-API-Key: dcb_your_key"

Response

{
  "documents": [
    {
      "id": 1,
      "document_uuid": "string",
      "filename": "string",
      "file_size_bytes": 1,
      "file_hash": "string",
      "mime_type": "string",
      "processing_status": "string",
      "processing_error": "string",
      "needs_reingest": false,
      "total_chunks": 1,
      "retrieval_mode": "chunked",
      "custom_metadata": {},
      "docling_metadata": {},
      "source_url": "string",
      "scope": "library",
      "folder_id": 1,
      "workflow_id": 1,
      "file_folder_id": 1,
      "created_at": "2026-09-14T09:30:00Z",
      "updated_at": "2026-09-14T09:30:00Z",
      "organization_id": 1,
      "created_by": 1,
      "is_active": true,
      "version": 1,
      "versions": [
        {}
      ],
      "state": "ready",
      "state_detail": "string"
    }
  ],
  "total": 1,
  "limit": 1,
  "offset": 1
}

Errors

StatusWhen
404Not found
422Validation Error